import java.io.*;
  public class ch0211
      {
    public static void main(String[] args)throws  IOException
  {
    InputStreamReader reader=new InputStreamReader(System.in);
    BufferedReader input=new BufferedReader(reader);
    /* System.in代表系统缺省的标准输入（即键盘），首先把它转换成InputStreamReader类的对象reader，然后转换成BufferedReader类的对象input，使原来的比特输入变成缓冲字符输入*/
   System.out.print("Enter your name:");
   String name=input.readLine();  /*readLine()方法读取用户从键盘输入的珩字符并赋值给字符串对象name*/
  System.out.println("Hello，"+name+"!");//字符串回显示在屏幕上
}
}
